import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color midLightDisable: kGray6
    property var kComponentClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property var kErrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property var kContainHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color windowTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color shadowInactive: KGayAlpha7
    property var linkVisitedActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color buttonTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kLineNormal: kGrayAlpha4
    property color kFontSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property var kBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.35)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.35)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGray5: Qt.rgba(68/255, 68/255, 68/255, 1)
    property var kBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kBrand4: Qt.rgba(240/255, 188/255, 54/255, 1)
    property color midActive: kGray3
    property color kBrand5: Qt.rgba(0/255, 129/255, 31/255, 1)
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color midInactive: kGray3
    property color kGrayAlpha6: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color buttonInactive: kGray6
    property color kDivider: kGrayAlpha4
    property var kLineComponentHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color toolTipBaseDisable: kGray0
    property var kSuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.35)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.35)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color darkDisable: kGray1
    property color midLightActive: kGray7
    property var linkVisitedInactive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kBrandFocus: kBrand1
    property color kGray9: Qt.rgba(105/255, 105/255, 105/255, 1)
    property color baseInactive: kGray1
    property var kWarningNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kComponentDisable: kGray4
    property var kLineBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property var kComponentHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color midDisable: kGray5
    property color midLightInactive: kGray7
    property var kErrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.35)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.35)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kFontStrong: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property var kContainClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color placeholderTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color kComponentAlphaDisable: kGrayAlpha2
    property var kLineBrandNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGray3: Qt.rgba(54/255, 54/255, 54/255, 1)
    property color highlightedTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color highlightedTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color windowDisable: kGray4
    property color baseDisable: kGray4
    property color placeholderTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color kGrayAlpha9: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kLineDisable: kGrayAlpha3
    property var kWarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.3)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.3)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kGray8: Qt.rgba(95/255, 95/255, 95/255, 1)
    property color buttonDisable: kGray4
    property color kGray6: Qt.rgba(74/255, 74/255, 74/255, 1)
    property color buttonActive: kGray6
    property color linkInactive: kBrand1
    property color alternateBaseActive: kGray3
    property color kGrayAlpha11: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color lightDisable: kGray16
    property color kGrayAlpha2: Qt.rgba(255/255, 255/255, 255/255, 0.08)
    property color linkDisable: kGray11
    property color shadowDisable: KGayAlpha7
    property var highlightInactive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.5)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.5)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color alternateBaseDisable: kGray3
    property color kGrayAlpha5: Qt.rgba(255/255, 255/255, 255/255, 0.18)
    property color kContainGeneralAlphaClick: KContainClick
    property color windowTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color kContainGeneralAlphaHover: KContainHover
    property color kGrayAlpha1: Qt.rgba(255/255, 255/255, 255/255, 0.05)
    property color buttonTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kLineBrandDisable: kGrayAlpha3
    property color highlightDisable: kGray4
    property color kLineWindowInacitive: kGrayAlpha3
    property color kGray0: Qt.rgba(30/255, 30/255, 30/255, 1)
    property color lightInactive: KWihte
    property color kGray16: Qt.rgba(220/255, 220/255, 220/255, 1)
    property var kLineBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGrayAlpha12: Qt.rgba(255/255, 255/255, 255/255, 0.03)
    property color kGrayAlpha7: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color noRoleInactive: kGray1
    property color kGrayAlpha0: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color tokenColor: Qt.rgba(30/255, 30/255, 30/255, 0.65)
    property color kContainSecondaryNormal: kGray2
    property color kGray15: Qt.rgba(200/255, 200/255, 200/255, 1)
    property color toolTipBaseActive: kGray0
    property color kGray11: Qt.rgba(125/255, 125/255, 125/255, 1)
    property var kLineWindowActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.7)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.7)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color linkActive: kBrand1
    property color kGrayAlpha3: Qt.rgba(255/255, 255/255, 255/255, 0.1)
    property color kGrayAlpha4: Qt.rgba(255/255, 255/255, 255/255, 0.15)
    property color kBrand2: Qt.rgba(114/255, 46/255, 209/255, 1)
    property color noRoleDisable: kGray5
    property color kGray7: Qt.rgba(84/255, 84/255, 84/255, 1)
    property var kSuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color toolTipTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kGrayAlpha10: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color toolTipTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property var highlightActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color shadowActive: KGayAlpha13
    property color textDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kComponentAlphaNormal: kGrayAlpha3
    property color kGray17: Qt.rgba(240/255, 240/255, 240/255, 1)
    property color toolTipTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property var kLineComponentClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color windowTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property var kErrorNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kGray4: Qt.rgba(60/255, 60/255, 60/255, 1)
    property color kBrand7: Qt.rgba(241/255, 133/255, 43/255, 1)
    property color alternateBaseInactive: kGray3
    property color kLineComponentNormal: kGrayAlpha7
    property color brightTextInactive: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color placeholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color kGray1: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color noRoleActive: kGray1
    property color kGray2: Qt.rgba(46/255, 46/255, 46/255, 1)
    property color kBrand6: Qt.rgba(223/255, 49/255, 55/255, 1)
    property color kFontPrimaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kGray10: Qt.rgba(115/255, 115/255, 115/255, 1)
    property color kLineComponentDisable: kGrayAlpha3
    property color kFontSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kGray13: Qt.rgba(160/255, 160/255, 160/255, 1)
    property color lightActive: KWihte
    property color darkInactive: kBlack
    property color linkvisitedDisable: kGray11
    property color tokenColor1: Qt.rgba(46/255, 46/255, 46/255, 0.65)
    property color kComponentAlphaHover: KContainHover
    property var kWarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.52)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color textActive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color windowInactive: kGray3
    property color kComponentNormal: kGray6
    property var kSuccessNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color brightTextActive: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color brightTextDisable: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kFontPrimary: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kGray14: Qt.rgba(185/255, 185/255, 185/255, 1)
    property color highlightedTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property var kBrandNormal : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.4)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kComponentAlphaClick: KContainClick
    property color buttonTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kGrayAlpha8: Qt.rgba(255/255, 255/255, 255/255, 0.28)
    property color kContainGeneralNormal: kGray0
    property color darkActive: kBlack
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kGrayAlpha13: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color kBrand1: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color baseActive: kGray0
    property color toolTipBaseInactive: kGray0
    property color kBrand3: Qt.rgba(235/255, 48/255, 150/255, 1)
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kGray12: Qt.rgba(135/255, 135/255, 135/255, 1)
    property color textInactive: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color windowActive: kGray2
}
